(***********************************************************************)
(*                                                                     *)
(*                              Ref-image                              *)
(*                                                                     *)
(*                  Image Segmentation by Refinement                   *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2009-2013 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Hend Ben Ameur <hbenameur@yahoo.ca>                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* Beginning of ocamlprintc.bin generated code *)

let print_size ppf = function
  | (u_l, u_l0) ->
    Format.fprintf ppf "%,@[<1>(@,"; Upervasives_print.print_length ppf u_l;
    Format.fprintf ppf "%,,@ "; Upervasives_print.print_length ppf u_l0;
    Format.fprintf ppf "%,@,)@]"
;;

let print_key ppf = function
  | u_e -> Umatrix_index_print.print_element ppf u_e
;;

let print_value ppf = function
  | u_i -> Umatrix_index_print.print_index ppf u_i
;;

let print_t ppf = function
  | t ->
    (fun s_k_u_t ->
     Ugen_numbering_hashtbl_print.print_t print_size print_key ppf s_k_u_t)
     (Umatrix_hashtbl.of_t t)
;;

(* End of ocamlprintc.bin generated code *)
