(***********************************************************************)
(*                                                                     *)
(*                                Ulib                                 *)
(*                                                                     *)
(*                   OCaml user's additional library                   *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2004-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: ulist.mli,v 1.24 2014/01/10 15:28:04 fclement Exp $ *)

(** {3 More list operations} *)

(** Make [Ulist] the completion of [List] into a module of type
  {!Ulistn_spec.LISTN}. *)

include Ulistn_spec.LISTN with
  type 'a listpn = 'a list and
  type 'a listn = 'a list
;;
