(***********************************************************************)
(*                                                                     *)
(*                                Ulib                                 *)
(*                                                                     *)
(*                   OCaml user's additional library                   *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2004-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* Beginning of ocamlprint_xmlc.bin generated code *)

let print_xml_length ppf = function
  | u_l -> Upervasives_print_xml.print_xml_length ppf u_l
;;

let print_xml_prefix ppf = function
  | s -> Lib_print_xml.print_xml_quoted_string ppf s

and print_xml_suffix ppf = function
  | s -> Lib_print_xml.print_xml_quoted_string ppf s
;;

let rec print_xml_key ppf = function
  | s -> Lib_print_xml.print_xml_quoted_string ppf s

and print_xml_long_key ppf = function | k -> print_xml_key ppf k

and print_xml_short_key ppf = function | k -> print_xml_key ppf k
;;

(* End of ocamlprint_xmlc.bin generated code *)
